

Fix a double-kfree on an ext2 error path.  Reported by Oleg Drokin.



 fs/ext2/super.c |    1 -
 1 files changed, 1 deletion(-)

diff -puN fs/ext2/super.c~ext2-double-free-bug fs/ext2/super.c
--- 25/fs/ext2/super.c~ext2-double-free-bug	2003-03-07 02:11:59.000000000 -0800
+++ 25-akpm/fs/ext2/super.c	2003-03-07 02:12:04.000000000 -0800
@@ -782,7 +782,6 @@ static int ext2_fill_super(struct super_
 		if (!sbi->s_group_desc[i]) {
 			for (j = 0; j < i; j++)
 				brelse (sbi->s_group_desc[j]);
-			kfree(sbi->s_group_desc);
 			printk ("EXT2-fs: unable to read group descriptors\n");
 			goto failed_mount_group_desc;
 		}

_
